Bug 315168 - No icons for files of type application/x-kexi* and application/x-sqlite*
Summary: No icons for files of type application/x-kexi* and application/x-sqlite*
Status: CLOSED FIXED
Alias: None
Product: KEXI
Classification: Unclassified
Component: General (show other bugs)
Version: 2.6.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Jarosław Staniek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-14 23:02 UTC by Friedrich W. H. Kossebau
Modified: 2013-02-26 23:33 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Friedrich W. H. Kossebau 2013-02-14 23:02:56 UTC
There are no icons in the Oxygen iconset for files of the type
* application/x-sqlite2
* application/x-sqlite3
* application/x-kexi-connectiondata
* application/x-kexiproject-shortcut
* application/x-kexiproject-sqlite2
* application/x-kexiproject-sqlite3

And the xdg mimetype db also defines no generic-icon for them, see http://cgit.freedesktop.org/xdg/shared-mime-info/tree/freedesktop.org.xml.in

These icons are ideally in the Oxygen iconset, not only installed with Kexi, so files of those types are also good looking if Kexi is not (yet) installed.

For the file-based databases it might be okay for a start to just copy the icon for ODF database. For the shortcut and connection data file types Jarosław is going to provides some himself.

Ideally done before tagging of 4.10.1 on Feb 28th 2013

Reproducible: Always
Comment 1 Jarosław Staniek 2013-02-17 22:16:42 UTC
SVN commit 1340746 by staniek:

add application/x-sqlite* and  application/x-kexiproject-sqlite* icons

Copies from the odf database icon. This fixes lack of icons for sqlite and Kexi files when Kexi is not installed.




 AM            128x128/mimetypes/application-x-kexiproject-sqlite.png  
 AM            128x128/mimetypes/application-x-kexiproject-sqlite2.png  
 AM            128x128/mimetypes/application-x-kexiproject-sqlite3.png  
 AM            128x128/mimetypes/application-x-sqlite2.png  
 AM            128x128/mimetypes/application-x-sqlite3.png  
 AM            16x16/mimetypes/application-x-kexiproject-sqlite.png  
 AM            16x16/mimetypes/application-x-kexiproject-sqlite2.png  
 AM            16x16/mimetypes/application-x-kexiproject-sqlite3.png  
 AM            16x16/mimetypes/application-x-sqlite2.png  
 AM            16x16/mimetypes/application-x-sqlite3.png  
 AM            22x22/mimetypes/application-x-kexiproject-sqlite.png  
 AM            22x22/mimetypes/application-x-kexiproject-sqlite2.png  
 AM            22x22/mimetypes/application-x-kexiproject-sqlite3.png  
 AM            22x22/mimetypes/application-x-sqlite2.png  
 AM            22x22/mimetypes/application-x-sqlite3.png  
 AM            256x256/mimetypes/application-x-kexiproject-sqlite.png  
 AM            256x256/mimetypes/application-x-kexiproject-sqlite2.png  
 AM            256x256/mimetypes/application-x-kexiproject-sqlite3.png  
 AM            256x256/mimetypes/application-x-sqlite2.png  
 AM            256x256/mimetypes/application-x-sqlite3.png  
 AM            32x32/mimetypes/application-x-kexiproject-sqlite.png  
 AM            32x32/mimetypes/application-x-kexiproject-sqlite2.png  
 AM            32x32/mimetypes/application-x-kexiproject-sqlite3.png  
 AM            32x32/mimetypes/application-x-sqlite2.png  
 AM            32x32/mimetypes/application-x-sqlite3.png  
 AM            48x48/mimetypes/application-x-kexiproject-sqlite.png  
 AM            48x48/mimetypes/application-x-kexiproject-sqlite2.png  
 AM            48x48/mimetypes/application-x-kexiproject-sqlite3.png  
 AM            48x48/mimetypes/application-x-sqlite2.png  
 AM            48x48/mimetypes/application-x-sqlite3.png  
 AM            64x64/mimetypes/application-x-kexiproject-sqlite.png  
 AM            64x64/mimetypes/application-x-kexiproject-sqlite2.png  
 AM            64x64/mimetypes/application-x-kexiproject-sqlite3.png  
 AM            64x64/mimetypes/application-x-sqlite2.png  
 AM            64x64/mimetypes/application-x-sqlite3.png  
 AM            scalable/mimetypes/application-x-kexiproject-sqlite.svgz  
 AM            scalable/mimetypes/application-x-kexiproject-sqlite2.svgz  
 AM            scalable/mimetypes/application-x-kexiproject-sqlite3.svgz  
 AM            scalable/mimetypes/application-x-sqlite2.svgz  
 AM            scalable/mimetypes/application-x-sqlite3.svgz  
 AM            scalable/mimetypes/small/16x16/application-x-kexiproject-sqlite.svgz  
 AM            scalable/mimetypes/small/16x16/application-x-kexiproject-sqlite2.svgz  
 AM            scalable/mimetypes/small/16x16/application-x-kexiproject-sqlite3.svgz  
 AM            scalable/mimetypes/small/16x16/application-x-sqlite2.svgz  
 AM            scalable/mimetypes/small/16x16/application-x-sqlite3.svgz  
 AM            scalable/mimetypes/small/22x22/application-x-kexiproject-sqlite.svgz  
 AM            scalable/mimetypes/small/22x22/application-x-kexiproject-sqlite2.svgz  
 AM            scalable/mimetypes/small/22x22/application-x-kexiproject-sqlite3.svgz  
 AM            scalable/mimetypes/small/22x22/application-x-sqlite2.svgz  
 AM            scalable/mimetypes/small/22x22/application-x-sqlite3.svgz  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1340746
Comment 2 Jarosław Staniek 2013-02-17 22:18:40 UTC
BTW, I'll update mimetype icons in Kexi itself for 2.6.2.
Comment 3 Jarosław Staniek 2013-02-21 00:26:27 UTC
SVN commit 1340895 by staniek:

add application/x-kexi-connectiondata icon




 AM            128x128/mimetypes/application-x-kexi-connectiondata.png  
 AM            16x16/mimetypes/application-x-kexi-connectiondata.png  
 AM            22x22/mimetypes/application-x-kexi-connectiondata.png  
 AM            256x256/mimetypes/application-x-kexi-connectiondata.png  
 AM            32x32/mimetypes/application-x-kexi-connectiondata.png  
 AM            48x48/mimetypes/application-x-kexi-connectiondata.png  
 AM            64x64/mimetypes/application-x-kexi-connectiondata.png  
 AM            scalable/mimetypes/application-x-kexi-connectiondata.svgz  
 AM            scalable/mimetypes/small/16x16/application-x-kexi-connectiondata.svgz  
 AM            scalable/mimetypes/small/22x22/application-x-kexi-connectiondata.svgz  
 AM            scalable/mimetypes/small/32x32/application-x-kexi-connectiondata.svgz  
 AM            scalable/mimetypes/small/48x48/application-x-kexi-connectiondata.svgz  
 AM            scalable/mimetypes/small/64x64/application-x-kexi-connectiondata.svgz  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1340895
Comment 4 Jarosław Staniek 2013-02-21 23:02:56 UTC
SVN commit 1340936 by staniek:

add application/x-kexiproject-shortcut icon



 AM            128x128/mimetypes/application-x-kexiproject-shortcut.png  
 AM            16x16/mimetypes/application-x-kexiproject-shortcut.png  
 AM            22x22/mimetypes/application-x-kexiproject-shortcut.png  
 AM            256x256/mimetypes/application-x-kexiproject-shortcut.png  
 AM            32x32/mimetypes/application-x-kexiproject-shortcut.png  
 AM            48x48/mimetypes/application-x-kexiproject-shortcut.png  
 AM            64x64/mimetypes/application-x-kexiproject-shortcut.png  
 AM            scalable/mimetypes/application-x-kexiproject-shortcut.svgz  
 AM            scalable/mimetypes/small/16x16/application-x-kexiproject-shortcut.svgz  
 AM            scalable/mimetypes/small/22x22/application-x-kexiproject-shortcut.svgz  
 AM            scalable/mimetypes/small/32x32/application-x-kexiproject-shortcut.svgz  
 AM            scalable/mimetypes/small/48x48/application-x-kexiproject-shortcut.svgz  
 AM            scalable/mimetypes/small/64x64/application-x-kexiproject-shortcut.svgz  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1340936
Comment 5 Jarosław Staniek 2013-02-22 01:06:49 UTC
SVN commit 1340947 by staniek:

Add kexi-related icons

cherry-picked r1340936 r1340933 r1340895 r1340746

add application/x-kexiproject-shortcut icon
add application/x-kexi-connectiondata icon
add application/x-sqlite* and  application/x-kexiproject-sqlite* icons




 A             128x128/mimetypes/application-x-kexi-connectiondata.png   trunk/kdesupport/oxygen-icons/128x128/mimetypes/application-x-kexi-connectiondata.png#1340895
 A             128x128/mimetypes/application-x-kexiproject-shortcut.png   trunk/kdesupport/oxygen-icons/128x128/mimetypes/application-x-kexiproject-shortcut.png#1340936
 A             128x128/mimetypes/application-x-kexiproject-sqlite.png   trunk/kdesupport/oxygen-icons/128x128/mimetypes/application-x-kexiproject-sqlite.png#1340746
 A             128x128/mimetypes/application-x-kexiproject-sqlite2.png   trunk/kdesupport/oxygen-icons/128x128/mimetypes/application-x-kexiproject-sqlite2.png#1340746
 A             128x128/mimetypes/application-x-kexiproject-sqlite3.png   trunk/kdesupport/oxygen-icons/128x128/mimetypes/application-x-kexiproject-sqlite3.png#1340746
 A             128x128/mimetypes/application-x-sqlite2.png   trunk/kdesupport/oxygen-icons/128x128/mimetypes/application-x-sqlite2.png#1340746
 A             128x128/mimetypes/application-x-sqlite3.png   trunk/kdesupport/oxygen-icons/128x128/mimetypes/application-x-sqlite3.png#1340746
 A             16x16/mimetypes/application-x-kexi-connectiondata.png   trunk/kdesupport/oxygen-icons/16x16/mimetypes/application-x-kexi-connectiondata.png#1340895
 A             16x16/mimetypes/application-x-kexiproject-shortcut.png   trunk/kdesupport/oxygen-icons/16x16/mimetypes/application-x-kexiproject-shortcut.png#1340936
 A             16x16/mimetypes/application-x-kexiproject-sqlite.png   trunk/kdesupport/oxygen-icons/16x16/mimetypes/application-x-kexiproject-sqlite.png#1340746
 A             16x16/mimetypes/application-x-kexiproject-sqlite2.png   trunk/kdesupport/oxygen-icons/16x16/mimetypes/application-x-kexiproject-sqlite2.png#1340746
 A             16x16/mimetypes/application-x-kexiproject-sqlite3.png   trunk/kdesupport/oxygen-icons/16x16/mimetypes/application-x-kexiproject-sqlite3.png#1340746
 A             16x16/mimetypes/application-x-sqlite2.png   trunk/kdesupport/oxygen-icons/16x16/mimetypes/application-x-sqlite2.png#1340746
 A             16x16/mimetypes/application-x-sqlite3.png   trunk/kdesupport/oxygen-icons/16x16/mimetypes/application-x-sqlite3.png#1340746
 A             22x22/mimetypes/application-x-kexi-connectiondata.png   trunk/kdesupport/oxygen-icons/22x22/mimetypes/application-x-kexi-connectiondata.png#1340895
 A             22x22/mimetypes/application-x-kexiproject-shortcut.png   trunk/kdesupport/oxygen-icons/22x22/mimetypes/application-x-kexiproject-shortcut.png#1340936
 A             22x22/mimetypes/application-x-kexiproject-sqlite.png   trunk/kdesupport/oxygen-icons/22x22/mimetypes/application-x-kexiproject-sqlite.png#1340746
 A             22x22/mimetypes/application-x-kexiproject-sqlite2.png   trunk/kdesupport/oxygen-icons/22x22/mimetypes/application-x-kexiproject-sqlite2.png#1340746
 A             22x22/mimetypes/application-x-kexiproject-sqlite3.png   trunk/kdesupport/oxygen-icons/22x22/mimetypes/application-x-kexiproject-sqlite3.png#1340746
 A             22x22/mimetypes/application-x-sqlite2.png   trunk/kdesupport/oxygen-icons/22x22/mimetypes/application-x-sqlite2.png#1340746
 A             22x22/mimetypes/application-x-sqlite3.png   trunk/kdesupport/oxygen-icons/22x22/mimetypes/application-x-sqlite3.png#1340746
 A             256x256/mimetypes/application-x-kexi-connectiondata.png   trunk/kdesupport/oxygen-icons/256x256/mimetypes/application-x-kexi-connectiondata.png#1340895
 A             256x256/mimetypes/application-x-kexiproject-shortcut.png   trunk/kdesupport/oxygen-icons/256x256/mimetypes/application-x-kexiproject-shortcut.png#1340936
 A             256x256/mimetypes/application-x-kexiproject-sqlite.png   trunk/kdesupport/oxygen-icons/256x256/mimetypes/application-x-kexiproject-sqlite.png#1340746
 A             256x256/mimetypes/application-x-kexiproject-sqlite2.png   trunk/kdesupport/oxygen-icons/256x256/mimetypes/application-x-kexiproject-sqlite2.png#1340746
 A             256x256/mimetypes/application-x-kexiproject-sqlite3.png   trunk/kdesupport/oxygen-icons/256x256/mimetypes/application-x-kexiproject-sqlite3.png#1340746
 A             256x256/mimetypes/application-x-sqlite2.png   trunk/kdesupport/oxygen-icons/256x256/mimetypes/application-x-sqlite2.png#1340746
 A             256x256/mimetypes/application-x-sqlite3.png   trunk/kdesupport/oxygen-icons/256x256/mimetypes/application-x-sqlite3.png#1340746
 A             32x32/mimetypes/application-x-kexi-connectiondata.png   trunk/kdesupport/oxygen-icons/32x32/mimetypes/application-x-kexi-connectiondata.png#1340895
 A             32x32/mimetypes/application-x-kexiproject-shortcut.png   trunk/kdesupport/oxygen-icons/32x32/mimetypes/application-x-kexiproject-shortcut.png#1340936
 A             32x32/mimetypes/application-x-kexiproject-sqlite.png   trunk/kdesupport/oxygen-icons/32x32/mimetypes/application-x-kexiproject-sqlite.png#1340746
 A             32x32/mimetypes/application-x-kexiproject-sqlite2.png   trunk/kdesupport/oxygen-icons/32x32/mimetypes/application-x-kexiproject-sqlite2.png#1340746
 A             32x32/mimetypes/application-x-kexiproject-sqlite3.png   trunk/kdesupport/oxygen-icons/32x32/mimetypes/application-x-kexiproject-sqlite3.png#1340746
 A             32x32/mimetypes/application-x-sqlite2.png   trunk/kdesupport/oxygen-icons/32x32/mimetypes/application-x-sqlite2.png#1340746
 A             32x32/mimetypes/application-x-sqlite3.png   trunk/kdesupport/oxygen-icons/32x32/mimetypes/application-x-sqlite3.png#1340746
 A             48x48/mimetypes/application-x-kexi-connectiondata.png   trunk/kdesupport/oxygen-icons/48x48/mimetypes/application-x-kexi-connectiondata.png#1340895
 A             48x48/mimetypes/application-x-kexiproject-shortcut.png   trunk/kdesupport/oxygen-icons/48x48/mimetypes/application-x-kexiproject-shortcut.png#1340936
 A             48x48/mimetypes/application-x-kexiproject-sqlite.png   trunk/kdesupport/oxygen-icons/48x48/mimetypes/application-x-kexiproject-sqlite.png#1340746
 A             48x48/mimetypes/application-x-kexiproject-sqlite2.png   trunk/kdesupport/oxygen-icons/48x48/mimetypes/application-x-kexiproject-sqlite2.png#1340746
 A             48x48/mimetypes/application-x-kexiproject-sqlite3.png   trunk/kdesupport/oxygen-icons/48x48/mimetypes/application-x-kexiproject-sqlite3.png#1340746
 A             48x48/mimetypes/application-x-sqlite2.png   trunk/kdesupport/oxygen-icons/48x48/mimetypes/application-x-sqlite2.png#1340746
 A             48x48/mimetypes/application-x-sqlite3.png   trunk/kdesupport/oxygen-icons/48x48/mimetypes/application-x-sqlite3.png#1340746
 A             64x64/mimetypes/application-x-kexi-connectiondata.png   trunk/kdesupport/oxygen-icons/64x64/mimetypes/application-x-kexi-connectiondata.png#1340895
 A             64x64/mimetypes/application-x-kexiproject-shortcut.png   trunk/kdesupport/oxygen-icons/64x64/mimetypes/application-x-kexiproject-shortcut.png#1340936
 A             64x64/mimetypes/application-x-kexiproject-sqlite.png   trunk/kdesupport/oxygen-icons/64x64/mimetypes/application-x-kexiproject-sqlite.png#1340746
 A             64x64/mimetypes/application-x-kexiproject-sqlite2.png   trunk/kdesupport/oxygen-icons/64x64/mimetypes/application-x-kexiproject-sqlite2.png#1340746
 A             64x64/mimetypes/application-x-kexiproject-sqlite3.png   trunk/kdesupport/oxygen-icons/64x64/mimetypes/application-x-kexiproject-sqlite3.png#1340746
 A             64x64/mimetypes/application-x-sqlite2.png   trunk/kdesupport/oxygen-icons/64x64/mimetypes/application-x-sqlite2.png#1340746
 A             64x64/mimetypes/application-x-sqlite3.png   trunk/kdesupport/oxygen-icons/64x64/mimetypes/application-x-sqlite3.png#1340746
 A             scalable/mimetypes/application-x-kexi-connectiondata.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/application-x-kexi-connectiondata.svgz#1340895
 A             scalable/mimetypes/application-x-kexiproject-shortcut.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/application-x-kexiproject-shortcut.svgz#1340936
 A             scalable/mimetypes/application-x-kexiproject-sqlite.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/application-x-kexiproject-sqlite.svgz#1340746
 A             scalable/mimetypes/application-x-kexiproject-sqlite2.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/application-x-kexiproject-sqlite2.svgz#1340746
 A             scalable/mimetypes/application-x-kexiproject-sqlite3.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/application-x-kexiproject-sqlite3.svgz#1340746
 A             scalable/mimetypes/application-x-sqlite2.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/application-x-sqlite2.svgz#1340746
 A             scalable/mimetypes/application-x-sqlite3.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/application-x-sqlite3.svgz#1340746
 A             scalable/mimetypes/small/16x16/application-x-kexi-connectiondata.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/16x16/application-x-kexi-connectiondata.svgz#1340895
 A             scalable/mimetypes/small/16x16/application-x-kexiproject-shortcut.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/16x16/application-x-kexiproject-shortcut.svgz#1340936
 A             scalable/mimetypes/small/16x16/application-x-kexiproject-sqlite.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/16x16/application-x-kexiproject-sqlite.svgz#1340746
 A             scalable/mimetypes/small/16x16/application-x-kexiproject-sqlite2.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/16x16/application-x-kexiproject-sqlite2.svgz#1340746
 A             scalable/mimetypes/small/16x16/application-x-kexiproject-sqlite3.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/16x16/application-x-kexiproject-sqlite3.svgz#1340746
 A             scalable/mimetypes/small/16x16/application-x-sqlite2.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/16x16/application-x-sqlite2.svgz#1340746
 A             scalable/mimetypes/small/16x16/application-x-sqlite3.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/16x16/application-x-sqlite3.svgz#1340746
 A             scalable/mimetypes/small/22x22/application-x-kexi-connectiondata.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/22x22/application-x-kexi-connectiondata.svgz#1340895
 A             scalable/mimetypes/small/22x22/application-x-kexiproject-shortcut.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/22x22/application-x-kexiproject-shortcut.svgz#1340936
 A             scalable/mimetypes/small/22x22/application-x-kexiproject-sqlite.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/22x22/application-x-kexiproject-sqlite.svgz#1340746
 A             scalable/mimetypes/small/22x22/application-x-kexiproject-sqlite2.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/22x22/application-x-kexiproject-sqlite2.svgz#1340746
 A             scalable/mimetypes/small/22x22/application-x-kexiproject-sqlite3.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/22x22/application-x-kexiproject-sqlite3.svgz#1340746
 A             scalable/mimetypes/small/22x22/application-x-sqlite2.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/22x22/application-x-sqlite2.svgz#1340746
 A             scalable/mimetypes/small/22x22/application-x-sqlite3.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/22x22/application-x-sqlite3.svgz#1340746
 A             scalable/mimetypes/small/32x32/application-x-kexi-connectiondata.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/32x32/application-x-kexi-connectiondata.svgz#1340895
 A             scalable/mimetypes/small/32x32/application-x-kexiproject-shortcut.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/32x32/application-x-kexiproject-shortcut.svgz#1340936
 A             scalable/mimetypes/small/48x48/application-x-kexi-connectiondata.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/48x48/application-x-kexi-connectiondata.svgz#1340895
 A             scalable/mimetypes/small/48x48/application-x-kexiproject-shortcut.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/48x48/application-x-kexiproject-shortcut.svgz#1340936
 A             scalable/mimetypes/small/64x64/application-x-kexi-connectiondata.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/64x64/application-x-kexi-connectiondata.svgz#1340895
 A             scalable/mimetypes/small/64x64/application-x-kexiproject-shortcut.svgz   trunk/kdesupport/oxygen-icons/scalable/mimetypes/small/64x64/application-x-kexiproject-shortcut.svgz#1340936


WebSVN link: http://websvn.kde.org/?view=rev&revision=1340947
Comment 6 Jarosław Staniek 2013-02-22 01:17:46 UTC
Git commit 90cfba13b40c4d563bfab3cbe551acb36831e42c by Jaroslaw Staniek.
Committed on 22/02/2013 at 02:13.
Pushed by staniek into branch 'master'.

Add kexi missing mimetype icons

(also pushed to KDE 4.10 branch and KDE trunk)

add application/x-kexiproject-shortcut icon
add application/x-kexi-connectiondata icon
add application/x-sqlite* and  application/x-kexiproject-sqlite* icons

A  +-    --    kexi/pics/oxygen/128x128/mimetypes/application-x-kexi-connectiondata.png
A  +-    --    kexi/pics/oxygen/128x128/mimetypes/application-x-kexiproject-shortcut.png
M  +-    --    kexi/pics/oxygen/128x128/mimetypes/application-x-kexiproject-sqlite.png
M  +-    --    kexi/pics/oxygen/128x128/mimetypes/application-x-kexiproject-sqlite2.png
M  +-    --    kexi/pics/oxygen/128x128/mimetypes/application-x-kexiproject-sqlite3.png
A  +-    --    kexi/pics/oxygen/128x128/mimetypes/application-x-sqlite2.png
A  +-    --    kexi/pics/oxygen/128x128/mimetypes/application-x-sqlite3.png
A  +-    --    kexi/pics/oxygen/16x16/mimetypes/application-x-kexi-connectiondata.png
A  +-    --    kexi/pics/oxygen/16x16/mimetypes/application-x-kexiproject-shortcut.png
M  +-    --    kexi/pics/oxygen/16x16/mimetypes/application-x-kexiproject-sqlite.png
M  +-    --    kexi/pics/oxygen/16x16/mimetypes/application-x-kexiproject-sqlite2.png
M  +-    --    kexi/pics/oxygen/16x16/mimetypes/application-x-kexiproject-sqlite3.png
A  +-    --    kexi/pics/oxygen/16x16/mimetypes/application-x-sqlite2.png
A  +-    --    kexi/pics/oxygen/16x16/mimetypes/application-x-sqlite3.png
A  +-    --    kexi/pics/oxygen/22x22/mimetypes/application-x-kexi-connectiondata.png
A  +-    --    kexi/pics/oxygen/22x22/mimetypes/application-x-kexiproject-shortcut.png
M  +-    --    kexi/pics/oxygen/22x22/mimetypes/application-x-kexiproject-sqlite.png
M  +-    --    kexi/pics/oxygen/22x22/mimetypes/application-x-kexiproject-sqlite2.png
M  +-    --    kexi/pics/oxygen/22x22/mimetypes/application-x-kexiproject-sqlite3.png
A  +-    --    kexi/pics/oxygen/22x22/mimetypes/application-x-sqlite2.png
A  +-    --    kexi/pics/oxygen/22x22/mimetypes/application-x-sqlite3.png
A  +-    --    kexi/pics/oxygen/256x256/mimetypes/application-x-kexi-connectiondata.png
A  +-    --    kexi/pics/oxygen/256x256/mimetypes/application-x-kexiproject-shortcut.png
A  +-    --    kexi/pics/oxygen/256x256/mimetypes/application-x-kexiproject-sqlite.png
A  +-    --    kexi/pics/oxygen/256x256/mimetypes/application-x-kexiproject-sqlite2.png
A  +-    --    kexi/pics/oxygen/256x256/mimetypes/application-x-kexiproject-sqlite3.png
A  +-    --    kexi/pics/oxygen/256x256/mimetypes/application-x-sqlite2.png
A  +-    --    kexi/pics/oxygen/256x256/mimetypes/application-x-sqlite3.png
A  +-    --    kexi/pics/oxygen/32x32/mimetypes/application-x-kexi-connectiondata.png
A  +-    --    kexi/pics/oxygen/32x32/mimetypes/application-x-kexiproject-shortcut.png
M  +-    --    kexi/pics/oxygen/32x32/mimetypes/application-x-kexiproject-sqlite.png
M  +-    --    kexi/pics/oxygen/32x32/mimetypes/application-x-kexiproject-sqlite2.png
M  +-    --    kexi/pics/oxygen/32x32/mimetypes/application-x-kexiproject-sqlite3.png
A  +-    --    kexi/pics/oxygen/32x32/mimetypes/application-x-sqlite2.png
A  +-    --    kexi/pics/oxygen/32x32/mimetypes/application-x-sqlite3.png
A  +-    --    kexi/pics/oxygen/48x48/mimetypes/application-x-kexi-connectiondata.png
A  +-    --    kexi/pics/oxygen/48x48/mimetypes/application-x-kexiproject-shortcut.png
M  +-    --    kexi/pics/oxygen/48x48/mimetypes/application-x-kexiproject-sqlite.png
M  +-    --    kexi/pics/oxygen/48x48/mimetypes/application-x-kexiproject-sqlite2.png
M  +-    --    kexi/pics/oxygen/48x48/mimetypes/application-x-kexiproject-sqlite3.png
A  +-    --    kexi/pics/oxygen/48x48/mimetypes/application-x-sqlite2.png
A  +-    --    kexi/pics/oxygen/48x48/mimetypes/application-x-sqlite3.png
A  +-    --    kexi/pics/oxygen/64x64/mimetypes/application-x-kexi-connectiondata.png
A  +-    --    kexi/pics/oxygen/64x64/mimetypes/application-x-kexiproject-shortcut.png
M  +-    --    kexi/pics/oxygen/64x64/mimetypes/application-x-kexiproject-sqlite.png
M  +-    --    kexi/pics/oxygen/64x64/mimetypes/application-x-kexiproject-sqlite2.png
M  +-    --    kexi/pics/oxygen/64x64/mimetypes/application-x-kexiproject-sqlite3.png
A  +-    --    kexi/pics/oxygen/64x64/mimetypes/application-x-sqlite2.png
A  +-    --    kexi/pics/oxygen/64x64/mimetypes/application-x-sqlite3.png
A  +-    --    kexi/pics/oxygen/scalable/mimetypes/application-x-kexi-connectiondata.svgz
A  +-    --    kexi/pics/oxygen/scalable/mimetypes/application-x-kexiproject-shortcut.svgz
M  +-    --    kexi/pics/oxygen/scalable/mimetypes/application-x-kexiproject-sqlite.svgz
M  +-    --    kexi/pics/oxygen/scalable/mimetypes/application-x-kexiproject-sqlite2.svgz
M  +-    --    kexi/pics/oxygen/scalable/mimetypes/application-x-kexiproject-sqlite3.svgz
A  +-    --    kexi/pics/oxygen/scalable/mimetypes/application-x-sqlite2.svgz
A  +-    --    kexi/pics/oxygen/scalable/mimetypes/application-x-sqlite3.svgz
A  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/16x16/application-x-kexi-connectiondata.svgz
A  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/16x16/application-x-kexiproject-shortcut.svgz
M  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/16x16/application-x-kexiproject-sqlite.svgz
M  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/16x16/application-x-kexiproject-sqlite2.svgz
M  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/16x16/application-x-kexiproject-sqlite3.svgz
A  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/16x16/application-x-sqlite2.svgz
A  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/16x16/application-x-sqlite3.svgz
A  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/22x22/application-x-kexi-connectiondata.svgz
A  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/22x22/application-x-kexiproject-shortcut.svgz
M  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/22x22/application-x-kexiproject-sqlite.svgz
M  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/22x22/application-x-kexiproject-sqlite2.svgz
M  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/22x22/application-x-kexiproject-sqlite3.svgz
A  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/22x22/application-x-sqlite2.svgz
A  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/22x22/application-x-sqlite3.svgz
A  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/32x32/application-x-kexi-connectiondata.svgz
A  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/32x32/application-x-kexiproject-shortcut.svgz
A  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/48x48/application-x-kexi-connectiondata.svgz
A  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/48x48/application-x-kexiproject-shortcut.svgz
A  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/64x64/application-x-kexi-connectiondata.svgz
A  +-    --    kexi/pics/oxygen/scalable/mimetypes/small/64x64/application-x-kexiproject-shortcut.svgz

http://commits.kde.org/calligra/90cfba13b40c4d563bfab3cbe551acb36831e42c